import { defineComponent, createElementBlock, openBlock, createBaseVNode, useRouter, ref, markRaw, createBlock, withCtx, Fragment, renderList, createVNode, createCommentVNode, createTextVNode, toDisplayString, __unplugin_components_4, __unplugin_components_0, Button } from "./index.js";
import { __unplugin_components_5, __unplugin_components_3 } from "./Tabs2.js";
import { __unplugin_components_2 } from "./Flex.js";
import { NIcon } from "./Icon.js";
import "./Add.js";
import "./use-compitable.js";
import "./throttle.js";
import "./get-slot.js";
const _hoisted_1$4 = {
  xmlns: "http://www.w3.org/2000/svg",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512"
};
const BookOutline = defineComponent({
  name: "BookOutline",
  render: function render(_ctx, _cache) {
    return openBlock(), createElementBlock(
      "svg",
      _hoisted_1$4,
      _cache[0] || (_cache[0] = [
        createBaseVNode(
          "path",
          {
            d: "M256 160c16-63.16 76.43-95.41 208-96a15.94 15.94 0 0 1 16 16v288a16 16 0 0 1-16 16c-128 0-177.45 25.81-208 64c-30.37-38-80-64-208-64c-9.88 0-16-8.05-16-17.93V80a15.94 15.94 0 0 1 16-16c131.57.59 192 32.84 208 96z",
            fill: "none",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round",
            "stroke-width": "32"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            fill: "none",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round",
            "stroke-width": "32",
            d: "M256 160v288"
          },
          null,
          -1
          /* HOISTED */
        )
      ])
    );
  }
});
const _hoisted_1$3 = {
  xmlns: "http://www.w3.org/2000/svg",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512"
};
const HelpCircle = defineComponent({
  name: "HelpCircle",
  render: function render2(_ctx, _cache) {
    return openBlock(), createElementBlock(
      "svg",
      _hoisted_1$3,
      _cache[0] || (_cache[0] = [
        createBaseVNode(
          "path",
          {
            d: "M256 64C150 64 64 150 64 256s86 192 192 192s192-86 192-192S362 64 256 64zm-6 304a20 20 0 1 1 20-20a20 20 0 0 1-20 20zm33.44-102C267.23 276.88 265 286.85 265 296a14 14 0 0 1-28 0c0-21.91 10.08-39.33 30.82-53.26C287.1 229.8 298 221.6 298 203.57c0-12.26-7-21.57-21.49-28.46c-3.41-1.62-11-3.2-20.34-3.09c-11.72.15-20.82 2.95-27.83 8.59C215.12 191.25 214 202.83 214 203a14 14 0 1 1-28-1.35c.11-2.43 1.8-24.32 24.77-42.8c11.91-9.58 27.06-14.56 45-14.78c12.7-.15 24.63 2 32.72 5.82C312.7 161.34 326 180.43 326 203.57c0 33.83-22.61 49.02-42.56 62.43z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        )
      ])
    );
  }
});
const _hoisted_1$2 = {
  xmlns: "http://www.w3.org/2000/svg",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512"
};
const Home = defineComponent({
  name: "Home",
  render: function render3(_ctx, _cache) {
    return openBlock(), createElementBlock(
      "svg",
      _hoisted_1$2,
      _cache[0] || (_cache[0] = [
        createBaseVNode(
          "path",
          {
            d: "M261.56 101.28a8 8 0 0 0-11.06 0L66.4 277.15a8 8 0 0 0-2.47 5.79L63.9 448a32 32 0 0 0 32 32H192a16 16 0 0 0 16-16V328a8 8 0 0 1 8-8h80a8 8 0 0 1 8 8v136a16 16 0 0 0 16 16h96.06a32 32 0 0 0 32-32V282.94a8 8 0 0 0-2.47-5.79z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            d: "M490.91 244.15l-74.8-71.56V64a16 16 0 0 0-16-16h-48a16 16 0 0 0-16 16v32l-57.92-55.38C272.77 35.14 264.71 32 256 32c-8.68 0-16.72 3.14-22.14 8.63l-212.7 203.5c-6.22 6-7 15.87-1.34 22.37A16 16 0 0 0 43 267.56L250.5 69.28a8 8 0 0 1 11.06 0l207.52 198.28a16 16 0 0 0 22.59-.44c6.14-6.36 5.63-16.86-.76-22.97z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        )
      ])
    );
  }
});
const _hoisted_1$1 = {
  xmlns: "http://www.w3.org/2000/svg",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512"
};
const SettingsIcon = defineComponent({
  name: "Settings",
  render: function render4(_ctx, _cache) {
    return openBlock(), createElementBlock(
      "svg",
      _hoisted_1$1,
      _cache[0] || (_cache[0] = [
        createBaseVNode(
          "circle",
          {
            cx: "256",
            cy: "256",
            r: "48",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            d: "M470.39 300l-.47-.38l-31.56-24.75a16.11 16.11 0 0 1-6.1-13.33v-11.56a16 16 0 0 1 6.11-13.22L469.92 212l.47-.38a26.68 26.68 0 0 0 5.9-34.06l-42.71-73.9a1.59 1.59 0 0 1-.13-.22A26.86 26.86 0 0 0 401 92.14l-.35.13l-37.1 14.93a15.94 15.94 0 0 1-14.47-1.29q-4.92-3.1-10-5.86a15.94 15.94 0 0 1-8.19-11.82l-5.59-39.59l-.12-.72A27.22 27.22 0 0 0 298.76 26h-85.52a26.92 26.92 0 0 0-26.45 22.39l-.09.56l-5.57 39.67a16 16 0 0 1-8.13 11.82a175.21 175.21 0 0 0-10 5.82a15.92 15.92 0 0 1-14.43 1.27l-37.13-15l-.35-.14a26.87 26.87 0 0 0-32.48 11.34l-.13.22l-42.77 73.95a26.71 26.71 0 0 0 5.9 34.1l.47.38l31.56 24.75a16.11 16.11 0 0 1 6.1 13.33v11.56a16 16 0 0 1-6.11 13.22L42.08 300l-.47.38a26.68 26.68 0 0 0-5.9 34.06l42.71 73.9a1.59 1.59 0 0 1 .13.22a26.86 26.86 0 0 0 32.45 11.3l.35-.13l37.07-14.93a15.94 15.94 0 0 1 14.47 1.29q4.92 3.11 10 5.86a15.94 15.94 0 0 1 8.19 11.82l5.56 39.59l.12.72A27.22 27.22 0 0 0 213.24 486h85.52a26.92 26.92 0 0 0 26.45-22.39l.09-.56l5.57-39.67a16 16 0 0 1 8.18-11.82c3.42-1.84 6.76-3.79 10-5.82a15.92 15.92 0 0 1 14.43-1.27l37.13 14.95l.35.14a26.85 26.85 0 0 0 32.48-11.34a2.53 2.53 0 0 1 .13-.22l42.71-73.89a26.7 26.7 0 0 0-5.89-34.11zm-134.48-40.24a80 80 0 1 1-83.66-83.67a80.21 80.21 0 0 1 83.66 83.67z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        )
      ])
    );
  }
});
const _hoisted_1 = {
  xmlns: "http://www.w3.org/2000/svg",
  "xmlns:xlink": "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512"
};
const StatsChart = defineComponent({
  name: "StatsChart",
  render: function render5(_ctx, _cache) {
    return openBlock(), createElementBlock(
      "svg",
      _hoisted_1,
      _cache[0] || (_cache[0] = [
        createBaseVNode(
          "path",
          {
            d: "M104 496H72a24 24 0 0 1-24-24V328a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v144a24 24 0 0 1-24 24z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            d: "M328 496h-32a24 24 0 0 1-24-24V232a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v240a24 24 0 0 1-24 24z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            d: "M440 496h-32a24 24 0 0 1-24-24V120a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v352a24 24 0 0 1-24 24z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        ),
        createBaseVNode(
          "path",
          {
            d: "M216 496h-32a24 24 0 0 1-24-24V40a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v432a24 24 0 0 1-24 24z",
            fill: "currentColor"
          },
          null,
          -1
          /* HOISTED */
        )
      ])
    );
  }
});
const _sfc_main = {
  __name: "tabs",
  setup(__props) {
    const router = useRouter();
    const tabs = ref([
      {
        name: "日志",
        icon: markRaw(BookOutline),
        action: () => router.push("/")
        // 使用 router.push
      },
      {
        name: "设置",
        icon: markRaw(SettingsIcon),
        action: () => router.push("/settings")
        // 使用 router.push
      },
      {
        name: "排班",
        icon: markRaw(Home),
        action: () => router.push("/plan-editor")
        // 使用 router.push
      },
      {
        name: "报表",
        icon: markRaw(StatsChart),
        modal: {
          title: "基建报表",
          buttons: [
            { text: "心情曲线", path: "/record/line" },
            { text: "心情饼图", path: "/record/pie" },
            { text: "仓库", path: "/record/depot" },
            { text: "基建报告", path: "/record/report" }
          ]
        }
      },
      {
        name: "帮助",
        icon: markRaw(HelpCircle),
        action: () => router.push("/doc")
        // 使用 router.push
      }
    ]);
    const showModal = ref(false);
    const activeModalButtons = ref([]);
    const openModal = (buttons) => {
      showModal.value = true;
      activeModalButtons.value = buttons;
    };
    const handleNavigation = (path) => {
      showModal.value = false;
      router.push(path);
    };
    return (_ctx, _cache) => {
      const _component_n_icon = NIcon;
      const _component_n_flex = __unplugin_components_2;
      const _component_n_button = Button;
      const _component_n_card = __unplugin_components_0;
      const _component_n_modal = __unplugin_components_4;
      const _component_n_tab = __unplugin_components_5;
      const _component_n_tabs = __unplugin_components_3;
      return openBlock(), createBlock(_component_n_tabs, {
        type: "line",
        "justify-content": "space-evenly",
        size: "small"
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(tabs.value, (tab) => {
            return openBlock(), createBlock(_component_n_tab, {
              key: tab.name,
              name: tab.name
            }, {
              default: withCtx(() => [
                createVNode(_component_n_flex, {
                  vertical: "",
                  align: "center",
                  size: "small",
                  onClick: ($event) => tab.modal ? openModal(tab.modal.buttons) : tab.action()
                }, {
                  default: withCtx(() => [
                    createVNode(_component_n_icon, {
                      size: "20",
                      component: tab.icon
                    }, null, 8, ["component"]),
                    createTextVNode(" " + toDisplayString(tab.name), 1)
                  ]),
                  _: 2
                }, 1032, ["onClick"]),
                tab.modal ? (openBlock(), createBlock(_component_n_modal, {
                  key: 0,
                  show: showModal.value,
                  "onUpdate:show": _cache[0] || (_cache[0] = ($event) => showModal.value = $event)
                }, {
                  default: withCtx(() => [
                    createVNode(_component_n_card, {
                      style: { "width": "300px" },
                      title: tab.modal.title,
                      bordered: false,
                      size: "huge",
                      role: "dialog",
                      "aria-modal": "true"
                    }, {
                      default: withCtx(() => [
                        (openBlock(true), createElementBlock(Fragment, null, renderList(activeModalButtons.value, (btn, index) => {
                          return openBlock(), createElementBlock("div", { key: index }, [
                            createVNode(_component_n_button, {
                              onClick: ($event) => handleNavigation(btn.path)
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(btn.text), 1)
                              ]),
                              _: 2
                            }, 1032, ["onClick"])
                          ]);
                        }), 128))
                      ]),
                      _: 2
                    }, 1032, ["title"])
                  ]),
                  _: 2
                }, 1032, ["show"])) : createCommentVNode("", true)
              ]),
              _: 2
            }, 1032, ["name"]);
          }), 128))
        ]),
        _: 1
      });
    };
  }
};
export {
  _sfc_main as default
};
